/* =========================
   RESET
========================= */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* =========================
   BODY
========================= */

body {
    font-family: Arial, Helvetica, sans-serif;
    background: linear-gradient(135deg,
            #00152d,
            #00264d,
            #00152d);
    color: white;
    min-height: 100vh;
}

/* LOGO */

.logo img {
    height: 70px;
    display: block;
    margin-left: 20px;
}


/* =========================
   ENCABEZADO
========================= */

.encabezado {
    text-align: center;
    padding: 70px 20px 50px;
}

.subtitulo {
    color: #ffd700;
    font-size: 1rem;
    font-weight: bold;
    letter-spacing: 6px;
    text-transform: uppercase;
}

.encabezado h1 {
    margin-top: 15px;
    font-size: 4rem;
    font-weight: 800;
}

/* =========================
   CONTENEDOR
========================= */

.contenedor-integrantes {
    width: 90%;
    max-width: 1400px;
    margin: auto;
    padding-bottom: 60px;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 30px;
}

/* =========================
   TARJETAS
========================= */

.tarjeta-integrante {
    background: white;
    border-radius: 25px;
    overflow: hidden;

    box-shadow: 0 10px 30px rgba(0, 0, 0, .25);

    transition: .3s ease;
}

.tarjeta-integrante:hover {
    transform: translateY(-10px);
}

/* =========================
   FOTO PRINCIPAL
========================= */

.foto-principal {
    width: 100%;
    height: 320px;
    object-fit: cover;
    display: block;
}

/* =========================
   INFORMACIÓN
========================= */

.info {
    position: relative;
    text-align: center;
    padding: 60px 20px 25px;
    color: #111;
}

/* =========================
   AVATAR
========================= */

.avatar {
    width: 110px;
    height: 110px;

    border-radius: 50%;
    object-fit: cover;

    border: 5px solid white;

    position: absolute;
    top: -55px;
    left: 50%;
    transform: translateX(-50%);

    background: white;
}

/* =========================
   TEXTO
========================= */

.info h2 {
    font-size: 1.8rem;
}

.info h3 {
    font-size: 0.8rem;
    margin-bottom: 12px;
}

.info p {
    font-size: 1rem;
}

.info a {
    color: #0056b3;
    text-decoration: none;
    font-weight: bold;
}

.info a:hover {
    text-decoration: underline;
}

/* =========================
   RESPONSIVE
========================= */

@media(max-width:768px) {

    .encabezado h1 {
        font-size: 2.5rem;
    }

    .subtitulo {
        letter-spacing: 3px;
        font-size: .9rem;
    }

    .foto-principal {
        height: 250px;
    }

}